Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 179733 - games-rpg/penumbra-overture-1.0.1 (New Package)
Summary: games-rpg/penumbra-overture-1.0.1 (New Package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.penumbra-overture.com/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-05-25 10:50 UTC by Paul Bredbury
Modified: 2018-12-03 12:58 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
penumbra-overture-1.0.1.ebuild (penumbra-overture-1.0.1.ebuild,3.79 KB, text/plain)
2007-05-25 10:55 UTC, Paul Bredbury
Details
penumbra-overture-1.0.596.ebuild (penumbra-overture-1.0.596.ebuild,4.10 KB, text/plain)
2007-06-13 10:23 UTC, Paul Bredbury
Details
penumbra-overture-1.0.679.ebuild (penumbra-overture-1.0.679.ebuild,4.18 KB, text/plain)
2007-07-05 16:41 UTC, Paul Bredbury
Details
Ebuild for PenumbraOverture-1.0.679 without patch (penumbra-overture-1.0.679.ebuild,4.03 KB, text/plain)
2007-11-12 19:31 UTC, Aniruddha
Details
Ebuild for PenumbraOverture-1.0.679 without patch (penumbra-overture-1.0.679.ebuild,4.03 KB, text/plain)
2007-12-22 18:38 UTC, Aggelos Orfanakos (RETIRED)
Details
penumbra-overture-1.0.2553.ebuild (penumbra-overture-1.0.2553.ebuild,3.99 KB, text/plain)
2008-11-19 08:04 UTC, Andreas Thillosen
Details
penumbra-overture-1.1.ebuild (penumbra-overture-1.1.ebuild,1.91 KB, text/plain)
2010-05-09 16:06 UTC, James Le Cuirot
Details
penumbra-overture-1.1.ebuild (penumbra-overture-1.1.ebuild,1.94 KB, text/plain)
2010-05-09 16:18 UTC, James Le Cuirot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Bredbury 2007-05-25 10:50:01 UTC
Hi, here is an ebuild for the registered version of Penumbra: Overture, a first-person adventure game with graphics that look like Doom 3.

The ebuild for the demo is in bug #179183.
Comment 1 Paul Bredbury 2007-05-25 10:55:26 UTC
Created attachment 120266 [details]
penumbra-overture-1.0.1.ebuild
Comment 2 Aniruddha 2007-05-25 11:57:07 UTC
Paul you are incredible! Not only does this ebuild install perfectly it also solved a nasty bug which prevented entering your cd key thus making it impossible to play. Look here for details: http://frictionalgames.com/forum/showthread.php?tid=1113
Comment 3 Aniruddha 2007-05-25 12:01:06 UTC
P.S. how do we get this ebuild (and the demo) in the portage tree?
Comment 4 Brandon Captain 2007-05-26 05:45:30 UTC
(In reply to comment #3)
> P.S. how do we get this ebuild (and the demo) in the portage tree?
> 

patience.

and luck :-)
Comment 5 Aniruddha 2007-05-26 11:13:50 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > P.S. how do we get this ebuild (and the demo) in the portage tree?
> > 
> 
> patience.
> 
> and luck :-)
> 

Is that all? Not some kind of rain dance? :D
Comment 6 Aniruddha 2007-06-07 15:57:48 UTC
There is a new patch out:

This update fixes the problems with very low FPS in certain levels, particular the Refinery level as well as fixing the issue with the steam missing in the steam puzzle. This patch is only required for the full game of Penumbra: Overture purchased before May 30th, 2007.

http://support.frictionalgames.com/entry/65/
Comment 7 Paul Bredbury 2007-06-13 10:23:17 UTC
Created attachment 121920 [details]
penumbra-overture-1.0.596.ebuild

Includes patch.
Comment 8 Aniruddha 2007-06-15 21:48:31 UTC
Hey Paul,

I can't use your latest ebuild with the full 1.0.596 version:

# ls /usr/portage/distfiles/
PenumbraOverture-1.0.596.sh

# ebuild penumbra-overture-1.0.596.ebuild digest

!!! games-fps/penumbra-overture-1.0.596 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * Please buy & download PenumbraOverture-1.0.1.sh
        PenumbraOvertureUpgrade-1.0.596.sh from:
 *   http://www.penumbra-overture.com/
 * and move it to /usr/portage/distfiles
 *
 * Also http://www.getpenumbra.com/downloads/updates/ep1/linux/PenumbraOvertureUpgrade-1.0.596.sh

!!! File PenumbraOvertureUpgrade-1.0.596.sh doesn't exist, can't update Manifest
Comment 9 Paul Bredbury 2007-06-15 21:55:05 UTC
Download the patch also.

cd /usr/portage/distfiles/
wget http://www.getpenumbra.com/downloads/updates/ep1/linux/PenumbraOvertureUpgrade-1.0.596.sh
Comment 10 Aniruddha 2007-06-15 23:22:12 UTC
(In reply to comment #9)
> Download the patch also.
> 
> cd /usr/portage/distfiles/
> wget
> http://www.getpenumbra.com/downloads/updates/ep1/linux/PenumbraOvertureUpgrade-1.0.596.sh
> 

Even if I don't need the patch?
Comment 11 Paul Bredbury 2007-06-15 23:37:38 UTC
Yes. You *do* need the patch, otherwise the ebuild would be overwriting what you've installed with *old* file versions.
Comment 12 Aniruddha 2007-06-16 15:27:21 UTC
(In reply to comment #11)
> Yes. You *do* need the patch, otherwise the ebuild would be overwriting what
> you've installed with *old* file versions.
> 

I think you misunderstood me. I have the full penumbra 1.0.596 and therefor I don't need additional patching.The 1.0.1 version I have also contains the nasty cd-key bug Therefor I rather install 1.0.596 full then 1.0.1 + patch. Moreover people who recently purchased Penumbra wont be able to use this ebuild:

!!! games-fps/penumbra-overture-1.0.596 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * Please buy & download PenumbraOverture-1.0.1.sh
        PenumbraOvertureUpgrade-1.0.596.sh from:
 *   http://www.penumbra-overture.com/
 * and move it to /usr/portage/distfiles
 *
 * Also http://www.getpenumbra.com/downloads/updates/ep1/linux/PenumbraOvertureUpgrade-1.0.596.sh
Comment 13 Paul Bredbury 2007-07-05 16:41:35 UTC
Created attachment 123986 [details]
penumbra-overture-1.0.679.ebuild

If you don't have PenumbraOverture-1.0.1.sh, then change the line:
	FIRST_PV="1.0.1"
to:
	FIRST_PV="1.0.596"

Not ideal, but I don't see a better way.
Comment 14 Aniruddha 2007-07-05 20:53:28 UTC
(In reply to comment #13)
> Created an attachment (id=123986) [edit]
> penumbra-overture-1.0.679.ebuild
> 
> If you don't have PenumbraOverture-1.0.1.sh, then change the line:
>         FIRST_PV="1.0.1"
> to:
>         FIRST_PV="1.0.596"
> 
> Not ideal, but I don't see a better way.
> 

Thanks for your help!

Comment 15 Aniruddha 2007-11-12 19:31:15 UTC
Created attachment 135841 [details]
Ebuild for PenumbraOverture-1.0.679 without patch

Ebuild isn't working. I get the following error:

>>> Unpacking source...
 *
 * ERROR: games-fps/penumbra-overture-1.0.679 failed.
 * Call stack:
 *                          ebuild.sh, line 1701:  Called dyn_unpack
 *                          ebuild.sh, line  817:  Called qa_call 'src_unpack'
 *                          ebuild.sh, line   44:  Called src_unpack
 *   penumbra-overture-1.0.679.ebuild, line   71:  Called unpack_makeself 'PenumbraOverture{-1.0.679'
 *                      eutils.eclass, line 1177:  Called die
 * The specific snippet of code:
 *      [[ -z ${src} ]] && die "Could not locate source for '${src_input}'"
 *  The die message:
 *   Could not locate source for 'PenumbraOverture{-1.0.679'
Comment 16 Paul Bredbury 2007-11-13 01:09:28 UTC
> for f in PenumbraOverture{-${FIRST_PV}

Remove that first curly bracket.
Comment 17 Aggelos Orfanakos (RETIRED) gentoo-dev 2007-12-22 18:38:26 UTC
Created attachment 139124 [details]
Ebuild for PenumbraOverture-1.0.679 without patch

This corrects syntax errors (unneeded '{' and missing '.sh').
Comment 18 Andreas Thillosen 2008-11-19 08:04:14 UTC
Created attachment 172342 [details]
penumbra-overture-1.0.2553.ebuild

Version bump.
Comment 19 James Le Cuirot gentoo-dev 2010-05-09 16:06:27 UTC
Created attachment 230869 [details]
penumbra-overture-1.1.ebuild

Here's a new simpler ebuild for 1.1. This version is temporarily available through the Humble Indie Bundle. I'm not sure whether the same version is available from the game's own site. If someone could confirm it, that would be great.

The forum URLs that were posted point to completely different things now but it seems that the install key is no longer needed and although I've barely started playing it, it seems to work on my 64-bit system. Admittedly I haven't tried it on 32-bit so if someone could also confirm that, I'd be very grateful.
Comment 20 James Le Cuirot gentoo-dev 2010-05-09 16:18:52 UTC
Created attachment 230871 [details]
penumbra-overture-1.1.ebuild

Doh. Forgot nvidia-cg-toolkit.
Comment 21 Oleg Popov 2010-05-15 23:55:33 UTC
"Penumbra: Overture" is now open-source:
http://www.frictionalgames.com/site/
Comment 22 James Le Cuirot gentoo-dev 2010-05-16 08:26:46 UTC
Yes, I've been working on the ebuilds for this. Nearly done. In the process, I've ported the game to the Newton 2 API because Newton 1 only had a 32-bit release. The engine already builds and I'm to build and try the game itself now.
Comment 23 Ivan 2010-05-18 13:11:16 UTC
(In reply to comment #20)
> Created an attachment (id=230871) [details]
> penumbra-overture-1.1.ebuild

Is there any reason it has a dependency upon fltk?  The installer seems to have gtk support as well here (and I can't find anything on their website stating that it needs fltk).

Comment 24 James Le Cuirot gentoo-dev 2010-05-18 13:17:35 UTC
The engine itself has a small reference to FLTK. I'll see about removing that once I've got it working on 64-bit.
Comment 25 Ivan 2010-05-18 13:31:39 UTC
(In reply to comment #24)
> The engine itself has a small reference to FLTK. I'll see about removing that
> once I've got it working on 64-bit.
> 

Yeah, I've just found that out when I tried to build and run it without fltk installed ;-)

However, is nvidia-cg-toolkit needed by non-nvidia users?
Comment 26 James Le Cuirot gentoo-dev 2010-05-18 13:37:05 UTC
Yep. It's a graphics library, not driver-related.
Comment 27 Mark Purtill 2010-06-18 02:53:43 UTC
Using the attached penumbra-overture-1.1.ebuild, I get a crash (see below).  When I install the program by running the ./penumbra_overture_1.1.sh script, it runs okay.

./penumbra-overture: /opt/penumbra-overture/lib/libCgGL.so: no version information available (required by ./penumbra-overture)                                  
./penumbra-overture: /opt/penumbra-overture/lib/libCg.so: no version information available (required by ./penumbra-overture)                                    
*** glibc detected *** ./penumbra-overture: double free or corruption (fasttop): 0xf2d004b0 ***                                                                 
*** glibc detected *** ./penumbra-overture: free(): invalid pointer: 0xf2d00670 ***                                                                             
======= Backtrace: =========                                                    
/lib32/libc.so.6[0xf6a29ba4]                                                    
/lib32/libc.so.6[0xf6a29ba4]                                                    
/lib32/libc.so.6[0xf6a2b2a3]                                                    
/lib32/libc.so.6[0xf6a2b2a3]                                                    
/lib32/libc.so.6(cfree+0x6d)[0xf6a2e2bd]                                        
//usr/lib32/opengl/nvidia/lib/libnvidia-tls.so.1[0xf5735b60]                    
/usr/lib32/libX11.so.6(_XReply+0x10d)[0xf68b81bd]                               
//usr/lib32/opengl/nvidia/lib/libGL.so.1[0xf760d046]                            
======= Memory map: ========                                                    
/lib32/libc.so.6(cfree+0x6d)[0xf6a2e2bd]                                        
//usr/lib32/opengl/nvidia/lib/libnvidia-tls.so.1[0xf5735b60]                    
08048000-086be000 r-xp 00000000 08:05 9291445                            /opt/penumbra-overture/penumbra-overture                                               
086be000-086c4000 rw-p 00676000 08:05 9291445                            /opt/penumbra-overture/penumbra-overture                                               
086c4000-086d2000 rw-p 00000000 00:00 0                                         
08e82000-092e4000 rw-p 00000000 00:00 0                                  [heap] 
f2d00000-f2d21000 rw-p 00000000 00:00 0                                         
f2d21000-f2e00000 ---p 00000000 00:00 0                                         
f2e8b000-f2e8c000 ---p 00000000 00:00 0                                         
f2e8c000-f368c000 rwxp 00000000 00:00 0                                         
f368c000-f368d000 ---p 00000000 00:00 0                                         
f368d000-f3e8d000 rwxp 00000000 00:00 0                                         
f3e8d000-f4237000 rw-p 00000000 00:00 0                                         
f4284000-f4335000 r-xp 00000000 08:05 9306331                            /usr/lib32/libasound.so.2.0.0                                                          
f4335000-f4338000 r--p 000b1000 08:05 9306331                            /usr/lib32/libasound.so.2.0.0                                                          
f4338000-f4339000 rw-p 000b4000 08:05 9306331                            /usr/lib32/libasound.so.2.0.0                                                          
f4339000-f444d000 rw-p 00000000 00:00 0                                         
f446f000-f447f000 rw-s 00000000 00:04 /usr/lib32/libX11.so.6(XCloseDisplay+0xfd)[0xf688befd]                                                                    
7700490                            /SYSV0056a4d6 (deleted)                      
f447f000-f448f000 rw-s 00000000 00:0e 1992                               /dev/snd/pcmC0D0p                                                                      
f448f000-f4493000 rw-s 18b586000 00:0e 4417                              /dev/nvidia0                                                                           
f4493000-f4693000 rw-s 18b93e000 00:0e 4417                              /dev/nvidia0                                                                           
f4693000-f4793000 rw-s 113658000 00:0e 4417                              /dev/nvidia0                                                                           
f4793000-f4794000 rw-s fdc0c000 00:0e 4417                               /dev/nvidia0                                                                           
f4794000-f47d4000 rw-s 1046a7000 00:0e 4417                              /dev/nvidia0                                                                           
f47d4000-f47f4000 rw-s 18b9d5000 00:0e 4417                              /dev/nvidia0                                                                           
f47f4000-f48c6000 rw-p 00000000 00:00 0                                         
f48c6000-f4917000 rw-p 00000000 00:0e 764                                /dev/zero                                                                              
f4918000-f494e000 rw-p 00000000 00:00 0                                         
f494e000-f496f000 rw-s 00000000 00:04 0                                  /SYSV00000000 (deleted)                                                                
f496f000-f4b9a000 rw-p 00000000 00:00 0                                         
f4b9a000-f4b9b000 ---p 00000000 00:00 0                                         
f4b9b000-f539b/usr/lib32/libSDL-1.2.so.0(SDL_Quit+0x1e)[0xf6c520de]             
/usr/lib32/libSDL-1.2.so.0[0xf6c5291f]                                          
[0xf7723400]                                                                    
Abort (core dumped)                                                             
Exit 134                                                                        
Comment 28 Lukas Schneiderbauer 2011-02-08 15:45:48 UTC
(In reply to comment #22)
> Yes, I've been working on the ebuilds for this. Nearly done. In the process,
> I've ported the game to the Newton 2 API because Newton 1 only had a 32-bit
> release. The engine already builds and I'm to build and try the game itself
> now.
any progress so far?
Comment 29 James Le Cuirot gentoo-dev 2011-02-08 15:57:05 UTC
Not really. I finished the ebuild and I could upload that but the Newton 2 port didn't work. The game starts up fine but as soon as you touch anything, you get thrown about and die instantly. I did stare at the source for a bit longer but couldn't figure it out. I've hardly touched physics engines before so this isn't an area I'm familiar with. I did ask the guy who ported the game to Linux but he wasn't too clued up on that stuff either. All he was able to do was confirm the behaviour on OS X. I thought about asking for help at the Newton forums but never got around to it. The fork is at https://github.com/chewi/HPL1Engine if you're interested. 
Comment 30 Thomas 2011-03-20 16:22:44 UTC
James Le Cuirot: Maybe you should short-circuit with the guy that has started this thread: http://www.frictionalgames.com/forum/thread-6736.html

I hope together you will get a fully working 64-bit open source version :)

P.S. Sorry for my bad english.
Comment 31 James Le Cuirot gentoo-dev 2011-03-20 16:44:35 UTC
Thanks, this is great but it looks like he started from scratch, which is quite frustrating for me!